import request from '@/utils/request'


/* 承兑人分类报表 */
export function getReportSearch(params) {
  return request({
    url:'/api/Report/acceptorClassification',
    method: 'get',
    params
  })
}

/* 出票人分类报表 */
export function getReportDrawerClassification(params) {
  return request({
    url:'/api/Report/drawerClassification',
    method: 'get',
    params
  })
}

/* 合同统计报表 */
export function getReportContractReport(params) {
  return request({
    url:'/api/Report/contractReport',
    method: 'get',
    params
  })
}

/* 供应商统计报表 */
export function getReportSupplierReport(params) {
  return request({
    url:'/api/Report/supplierReport',
    method: 'get',
    params
  })
}

/* 导出承兑人分类报表 */
export function getExportAcceptor(params) {
  return request({
    url:'/api/Report/export/acceptorClassification',
    method: 'get',
    params
  })
}
/* 导出出票人分类报表 */
export function getExportDrawer(params) {
  return request({
    url:'/api/Report/export/drawerClassification',
    method: 'get',
    params
  })
}
/* 导出合同统计报表 */
export function getExportContract(params) {
  return request({
    url:'/api/Report/export/contractReport',
    method: 'get',
    params
  })
}
/* 导出供应商统计报表 */
export function getExportSupplier(params) {
  return request({
    url:'/api/Report/export/supplierReport',
    method: 'get',
    params
  })
}


